| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Set an element of a vector
Vector Conversions » Set vector

## Overview

Sets the lane given by idx to be the given scalar.

## Functions
v16int4 | set_v16int4 (int idx, int val)
v16uint4 | set_v16uint4 (int idx, unsigned int val)
v2int16 | set_v2int16 (int idx, int val)
v2int32 | set_v2int32 (int idx, int val)
v2int4 | set_v2int4 (int idx, int val)
v2int8 | set_v2int8 (int idx, int val)
v2uint16 | set_v2uint16 (int idx, unsigned int val)
v2uint32 | set_v2uint32 (int idx, unsigned int val)
v2uint4 | set_v2uint4 (int idx, unsigned int val)
v2uint8 | set_v2uint8 (int idx, unsigned int val)
v4int16 | set_v4int16 (int idx, int val)
v4int4 | set_v4int4 (int idx, int val)
v4int8 | set_v4int8 (int idx, int val)
v4uint16 | set_v4uint16 (int idx, unsigned int val)
v4uint4 | set_v4uint4 (int idx, unsigned int val)
v4uint8 | set_v4uint8 (int idx, unsigned int val)
v8int4 | set_v8int4 (int idx, int val)
v8int8 | set_v8int8 (int idx, int val)
v8uint4 | set_v8uint4 (int idx, unsigned int val)
v8uint8 | set_v8uint8 (int idx, unsigned int val)

## Function Documentation

## ◆ set_v16int4()

v16int4 set_v16int4 | ( | int | idx,
|  | int | val )

## ◆ set_v16uint4()

v16uint4 set_v16uint4 | ( | int | idx,
|  | unsigned int | val )

## ◆ set_v2int16()

v2int16 set_v2int16 | ( | int | idx,
|  | int | val )

## ◆ set_v2int32()

v2int32 set_v2int32 | ( | int | idx,
|  | int | val )

## ◆ set_v2int4()

v2int4 set_v2int4 | ( | int | idx,
|  | int | val )

## ◆ set_v2int8()

v2int8 set_v2int8 | ( | int | idx,
|  | int | val )

## ◆ set_v2uint16()

v2uint16 set_v2uint16 | ( | int | idx,
|  | unsigned int | val )

## ◆ set_v2uint32()

v2uint32 set_v2uint32 | ( | int | idx,
|  | unsigned int | val )

## ◆ set_v2uint4()

v2uint4 set_v2uint4 | ( | int | idx,
|  | unsigned int | val )

## ◆ set_v2uint8()

v2uint8 set_v2uint8 | ( | int | idx,
|  | unsigned int | val )

## ◆ set_v4int16()

v4int16 set_v4int16 | ( | int | idx,
|  | int | val )

## ◆ set_v4int4()

v4int4 set_v4int4 | ( | int | idx,
|  | int | val )

## ◆ set_v4int8()

v4int8 set_v4int8 | ( | int | idx,
|  | int | val )

## ◆ set_v4uint16()

v4uint16 set_v4uint16 | ( | int | idx,
|  | unsigned int | val )

## ◆ set_v4uint4()

v4uint4 set_v4uint4 | ( | int | idx,
|  | unsigned int | val )

## ◆ set_v4uint8()

v4uint8 set_v4uint8 | ( | int | idx,
|  | unsigned int | val )

## ◆ set_v8int4()

v8int4 set_v8int4 | ( | int | idx,
|  | int | val )

## ◆ set_v8int8()

v8int8 set_v8int8 | ( | int | idx,
|  | int | val )

## ◆ set_v8uint4()

v8uint4 set_v8uint4 | ( | int | idx,
|  | unsigned int | val )

## ◆ set_v8uint8()

v8uint8 set_v8uint8 | ( | int | idx,
|  | unsigned int | val )